/*
 * \file Cifg2Spectrum.cc
 * \brief definitions (not declarations) for abstract Interferogram to Spectrum stage
 *
 * \author Maciek Smuga-Otto <maciek@ssec.wisc.edu>
 *
 * based directly on the Scanning-HIS rsh2fbf application, written by Ray Garcia <rayg@ssec.wisc.edu>
 *
 *  \version $Id: Cifg2Spectrum.cc,v 1.4 2005/07/08 07:12:52 maciek Exp $
 *
 *  \par Copyright:
 *  \verbatim
 *
 *  Copyright UW/SSEC, ALL RIGHTS RESERVED, 2004
 *  Space Science and Engineering Center
 *  University of Wisconsin - Madison, USA
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 *  \endverbatim
 */

#include "Cifg2Spectrum.h"

namespace gips
{
    Cifg2Spectrum::Ports::Ports(Connector::InputPort<settings_t>& settings_,
				Connector::InputPort<obs_in_t>& obs_in_,
                                Connector::OutputPort<obs_out_t>& obs_out_):    
      settings(settings_), obs_in(obs_in_), obs_out(obs_out_){};
    
    Cifg2Spectrum::Cifg2Spectrum(Ports& p): 
        ports(p) {}; 

    Operator::Result Cifg2Spectrum::operator()() 
    { 
        return Operator::UNIMPLEMENTED; 
    };

    Cifg2Spectrum::~Cifg2Spectrum(){};

} // namespace


