/*
 * \brief GIFTS implementation of Ifg2SpectrumStage
 * \author Maciek Smuga-Otto <maciek@ssec.wisc.edu>
 *
 * based on the Scanning-HIS rsh2fbf application, written by Ray Garcia <rayg@ssec.wisc.edu>
 *
 *  \version $Id: Cifg2Spectrum_GIFTSv1.cc,v 1.3 2005/07/08 20:21:48 maciek Exp $
 *
 *  \par Copyright:
 *  \verbatim
 *
 *  Copyright UW/SSEC, ALL RIGHTS RESERVED, 2004
 *  Space Science and Engineering Center
 *  University of Wisconsin - Madison, USA
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 *  \endverbatim
 */

// NOTE: THIS FILE WILL BE AUTO-GENERATED IN THE FUTURE FROM INTEFACE DESCRIPTIONS
// OF THE SUBCAPSULES BY MEANS OF A FLANGING COMPILER

#include "Cifg2Spectrum_GIFTSv1.h"

using namespace gips;

Operator::Result Ci2sImpl::operator() ( )
{
    Operator::Result res1, res2, res3;

    //std::cerr << "C++: in Cifg2Spectrum::operator()" << std::endl; // DEBUG
    res1 = capsule1();
    //std::cerr << "buffer_1@600: " << buffer_1.shiftedInterferogram[600] << std::endl; // DEBUG
    res2 = capsule2();
    //std::cerr << "buffer_2@600: " << buffer_2.doubledRawSpectrum[600] << std::endl; // DEBUG
    res3 = capsule3();
    //std::cerr << "Cifg2Spectrum:" << res1 << res2 << res3 << std::endl; // DEBUG
    return (res1 == Operator::OK && res2 == Operator::OK && res3 == Operator::OK) 
        ? Operator::OK 
        : Operator::ERROR;
} // operator()
    

