#! /usr/bin/env python

CVS_ID = '$Id: Ifg2SpectrumFbfRunner_GIFTSv1.py,v 1.4 2005/07/08 20:21:48 maciek Exp $'
EXE_DIR = '/home/maciek/cvs/devel/Calibrate/Ifg2Spectrum'


import GipsHarness
from os import path

## fixme: need way to pass in pipeline name!

def ifg2spec_harness(fbf_in_stem='ifg_cube' , fbf_out_stem='i2s_spectrumOut', 
                band='LW', instr='GIFTSv1', debug = 0):

    pipeline_creator = GipsHarness.createPipeline('IFG')
    ifg_bridge = GipsHarness.fbf2mmap(fbf=fbf_in_stem, mmap='GIPS_DATA_IN_MMAP', 
                    mmap_format='complex16')
    spec_bridge = GipsHarness.mmap2fbf(mmap='GIPS_DATA_OUT_MMAP', fbf=fbf_out_stem,
                    mmap_format='complex16', record_len=1025)
    settings_bridge = GipsHarness.staticStruct2mmap( mmap='GIPS_SETTINGS_MMAP', 
        structlist = [('I', 'rawInterferogramSize', 2048),
                      ('I', 'shiftedInterferogramSize', 2048),
                      ('I', 'doubledRawSpectrumSize', 2048),
                      ('I', 'rawSpectrumSize', 1025),
                      ('I', 'chopRawSpectrumFrom', 1024),
                      ('I', 'chopRawSpectrumTo', 2048),
                      ('c', 'wrapRawSpectrumLastPoint', '0')] )

    exe_path = path.join(EXE_DIR, 'Cifg2SpectrumMmapAdapter')
    if debug == 1:
        exe_path = path.join(EXE_DIR, 'I2SDebugMmapAdapter')
        
    return GipsHarness.harness(exe_path,
              [pipeline_creator, settings_bridge, ifg_bridge, spec_bridge])


def shis_ifg2spec(band='LW', run_range=[1,-1]):
    i2s_harness = ifg2spec_harness(band=band)
    i2s_harness.run(run_range)

if __name__ == '__main__':
    import sys
    args = [int(a) for a in sys.argv[1:]]
    if len(args) > 1:
        shis_ifg2spec(run_range=[args[0], args[0] + args[1]])
    elif len(args) == 1:
        shis_ifg2spec(run_range=[1, args[0]])
    else:
        shis_ifg2spec()

    
    
    
    
